submitButton {shiny} | R Documentation

## Create a submit button

### Description

Create a submit button for an input form. Forms that include a submit button do not automatically update their outputs when inputs change, rather they wait until the user explicitly clicks the submit button.

### Usage

    submitButton(text = "Apply Changes", icon = NULL, width = NULL)

### Arguments

`text` | Button caption
`icon` | Optional `icon` to appear on the button
`width` | The width of the button, e.g. `'400px'`, or `'100%'`; see `validateCssUnit`.

### Value

A submit button that can be added to a UI definition.

### See Also

Other input.elements: `actionButton`, `checkboxGroupInput`, `checkboxInput`, `dateInput`, `dateRangeInput`, `fileInput`, `numericInput`, `passwordInput`, `radioButtons`, `selectInput`, `sliderInput`, `textInput`

### Examples

    submitButton("Update View")
    submitButton("Update View", icon("refresh"))

[Package shiny version 0.13.2 Index]